<?php

declare(strict_types=1);

namespace PhpWA\Client;

use PhpWA\Auth\AuthenticationCredentials;
use PhpWA\Storage\AccountTransactionInterface;

interface IncomingMessageDecryptorInterface
{
    public function decrypt(AccountTransactionInterface $transaction, AuthenticationCredentials $credentials, IncomingMessageEnvelope $envelope): DecryptedIncomingMessage;
}
